Mailinglist Archive: opensuse-buildservice (349 mails)

< Previous Next >
[opensuse-buildservice] BuildRequires --- whats available?
  • From: Martin Ginkel <mginkel@xxxxxxxxxxxxxxxxxxxx>
  • Date: Tue, 13 Nov 2007 09:13:30 +0100
  • Message-id: <47395CAA.3050605@xxxxxxxxxxxxxxxxxxxx>
Hi,

I'm new to OBS but quite confident with packaging.
I have some Questions to usecases of BuildRequires:

a) I have a package to build with a specific java version
I specified "java-sdk >= 1.5.0" build build reported
failed build dependencies.
Is this because of:
[ ] non-oss software
[ ] the use of feature names instead of package
names in BuildRequires

b) I have a stack of independent packages, forming a
dependency graph: One of them needs the xxx-devel package
of the other.

Unpredictably build fails sometimes because of
"nothing provides xxx-devel"
How can I make build to search in my home-project for the other
package?

Best regards
Martin
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >